Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 04 Jan 2021 16:29:09 +0000

Hi Osam Thabit Qaid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? I didn't get my refund https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1956030